package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevEyewash;

/**
 * 洗眼器Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-04
 */
public interface TDevEyewashMapper 
{
    /**
     * 查询洗眼器
     * 
     * @param id 洗眼器主键
     * @return 洗眼器
     */
    public TDevEyewash selectTDevEyewashById(Long id);

    /**
     * 查询洗眼器列表
     * 
     * @param tDevEyewash 洗眼器
     * @return 洗眼器集合
     */
    public List<TDevEyewash> selectTDevEyewashList(TDevEyewash tDevEyewash);

    /**
     * 新增洗眼器
     * 
     * @param tDevEyewash 洗眼器
     * @return 结果
     */
    public int insertTDevEyewash(TDevEyewash tDevEyewash);

    /**
     * 修改洗眼器
     * 
     * @param tDevEyewash 洗眼器
     * @return 结果
     */
    public int updateTDevEyewash(TDevEyewash tDevEyewash);

    /**
     * 删除洗眼器
     * 
     * @param id 洗眼器主键
     * @return 结果
     */
    public int deleteTDevEyewashById(Long id);

    /**
     * 批量删除洗眼器
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevEyewashByIds(Long[] ids);
}
